commit: c23c7b1745c7e21db7f021f7f7faaf51a2575c97
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Jun 6 08:17:20 2018 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Jun 6 08:23:08 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c23c7b17
dev-python/clang-python: Fix handling test failures
Fix handling test failurse to die on any implementation failing, rather
than only on the last one tested.
dev-python/clang-python/clang-python-5.0.2.ebuild | 8 ++++++--
dev-python/clang-python/clang-python-6.0.0.ebuild | 6 +++++-
dev-python/clang-python/clang-python-6.0.9999.ebuild | 6 +++++-
dev-python/clang-python/clang-python-9999.ebuild | 8 ++++++--
4 files changed, 22 insertions(+), 6 deletions(-)
diff --git a/dev-python/clang-python/clang-python-5.0.2.ebuild
b/dev-python/clang-python/clang-python-5.0.2.ebuild
index f60acf5217f..4331a4a3bf5 100644
--- a/dev-python/clang-python/clang-python-5.0.2.ebuild
+++ b/dev-python/clang-python/clang-python-5.0.2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@@ -34,8 +34,12 @@ src_unpack() {
tar -xJf "${DISTDIR}/${MY_P}.tar.xz" "${MY_P}/bindings/python" || die
}
+python_test() {
+ nosetests -v || die "Tests fail with ${EPYTHON}"
+}
+
src_test() {
- python_foreach_impl nosetests -v || die
+ python_foreach_impl python_test
}
src_install() {
diff --git a/dev-python/clang-python/clang-python-6.0.0.ebuild
b/dev-python/clang-python/clang-python-6.0.0.ebuild
index 6abf574e9b9..5d6eaf45c6c 100644
--- a/dev-python/clang-python/clang-python-6.0.0.ebuild
+++ b/dev-python/clang-python/clang-python-6.0.0.ebuild
@@ -34,8 +34,12 @@ src_unpack() {
tar -xJf "${DISTDIR}/${MY_P}.tar.xz" "${MY_P}/bindings/python" || die
}
+python_test() {
+ "${EPYTHON}" -m unittest discover -v || die "Tests fail with ${EPYTHON}"
+}
+
src_test() {
- python_foreach_impl python -m unittest discover -v || die
+ python_foreach_impl python_test
}
src_install() {
diff --git a/dev-python/clang-python/clang-python-6.0.9999.ebuild
b/dev-python/clang-python/clang-python-6.0.9999.ebuild
index e0aa3318ebd..89b1f72d475 100644
--- a/dev-python/clang-python/clang-python-6.0.9999.ebuild
+++ b/dev-python/clang-python/clang-python-6.0.9999.ebuild
@@ -36,8 +36,12 @@ src_unpack() {
git-r3_checkout '' '' '' bindings/python
}
+python_test() {
+ "${EPYTHON}" -m unittest discover -v || die "Tests fail with ${EPYTHON}"
+}
+
src_test() {
- python_foreach_impl python -m unittest discover -v || die
+ python_foreach_impl python_test
}
src_install() {
diff --git a/dev-python/clang-python/clang-python-9999.ebuild
b/dev-python/clang-python/clang-python-9999.ebuild
index 0e636d4e4c1..cf488945799 100644
--- a/dev-python/clang-python/clang-python-9999.ebuild
+++ b/dev-python/clang-python/clang-python-9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@@ -35,8 +35,12 @@ src_unpack() {
git-r3_checkout '' '' '' bindings/python
}
+python_test() {
+ "${EPYTHON}" -m unittest discover -v || die "Tests fail with ${EPYTHON}"
+}
+
src_test() {
- python_foreach_impl python -m unittest discover -v || die
+ python_foreach_impl python_test
}
src_install() {